scala.collection.parallel.mutable

# ParHashMap

#### class ParHashMap[K, V] extends ParMap[K, V] with GenericParMapTemplate[K, V, ParHashMap] with ParMapLike[K, V, ParHashMap[K, V], HashMap[K, V]] with ParHashTable[K, DefaultEntry[K, V]] with Serializable

A parallel hash map.

`ParHashMap` is a parallel map which internally keeps elements within a hash table. It uses chaining to resolve collisions.

Self Type
  ParHashMap[K, V]
Annotations
  @SerialVersionUID( uid = 1L )
Source
  ParHashMap.scala

Linear Supertypes
Serializable, Serializable, ParHashTable[K, DefaultEntry[K, V]], HashTable[K, DefaultEntry[K, V]], HashUtils[K], ParMap[K, V], ParMapLike[K, V, ParHashMap[K, V], HashMap[K, V]], Cloneable[ParHashMap[K, V]], ParIterable[(K, V)], ParMap[K, V], ParMapLike[K, V, ParHashMap[K, V], HashMap[K, V]], ParIterable[(K, V)], ParIterableLike[(K, V), ParHashMap[K, V], HashMap[K, V]], Parallel, CustomParallelizable[(K, V), ParHashMap[K, V]], GenericParMapTemplate[K, V, ParHashMap], GenericParTemplate[(K, V), ParIterable], HasNewCombiner[(K, V), ParHashMap[K, V]], GenMap[K, V], GenIterable[(K, V)], GenTraversable[(K, V)], GenericTraversableTemplate[(K, V), ParIterable], HasNewBuilder[(K, V), ParIterable[(K, V)]], GenMapLike[K, V, ParHashMap[K, V]], Equals, GenIterableLike[(K, V), ParHashMap[K, V]], GenTraversableLike[(K, V), ParHashMap[K, V]], Parallelizable[(K, V), ParHashMap[K, V]], GenTraversableOnce[(K, V)], AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Hide All
2. Show all

1. ParHashMap
2. Serializable
3. Serializable
4. ParHashTable
5. HashTable
6. HashUtils
7. ParMap
8. ParMapLike
9. Cloneable
10. ParIterable
11. ParMap
12. ParMapLike
13. ParIterable
14. ParIterableLike
15. Parallel
16. CustomParallelizable
17. GenericParMapTemplate
18. GenericParTemplate
19. HasNewCombiner
20. GenMap
21. GenIterable
22. GenTraversable
23. GenericTraversableTemplate
24. HasNewBuilder
25. GenMapLike
26. Equals
27. GenIterableLike
28. GenTraversableLike
29. Parallelizable
30. GenTraversableOnce
31. AnyRef
32. Any

Visibility

1. Public
2. All

### Instance Constructors

1. #### new ParHashMap()

### Type Members

1. #### trait Accessor[R, Tp] extends StrictSplitterCheckTask[R, Tp]

   Standard accessor task that iterates over the elements of the collection.

2. #### class Aggregate[S] extends Accessor[S, Aggregate[S]]

   Attributes
     protected[this]

3. #### trait BuilderOps[Elem, To] extends AnyRef

4. #### class Collect[S, That] extends Transformer[Combiner[S, That], Collect[S, That]]

   Attributes
     protected[this]

5. #### abstract class Composite[FR, SR, R, First <: ParIterableLike.this.StrictSplitterCheckTask[FR, _], Second <: ParIterableLike.this.StrictSplitterCheckTask[SR, _]] extends NonDivisibleTask[R, Composite[FR, SR, R, First, Second]]

   Attributes
     protected[this]

6. #### class Copy[U >: T, That] extends Transformer[Combiner[U, That], Copy[U, That]]

   Attributes
     protected

7. #### class CopyToArray[U >: T, This >: Repr] extends Accessor[Unit, CopyToArray[U, This]]

   Attributes
     protected[this]

8. #### class Count extends Accessor[Int, Count]

   Attributes
     protected[this]

9. #### class CreateScanTree[U >: T] extends Transformer[ScanTree[U], CreateScanTree[U]]

   Attributes
     protected[this]

10. #### class Drop[U >: T, This >: Repr] extends Transformer[Combiner[U, This], Drop[U, This]]

    Attributes
      protected[this]

11. #### type Entry = DefaultEntry[K, V]

12. #### abstract class EntryIterator[T, +IterRepr <: IterableSplitter[T]] extends IterableSplitter[T] with SizeMapUtils

    A parallel iterator returning all the entries.

13. #### class Exists extends Accessor[Boolean, Exists]

    Attributes
      protected[this]

14. #### class Filter[U >: T, This >: Repr] extends Transformer[Combiner[U, This], Filter[U, This]]

    Attributes
      protected[this]

15. #### class FilterNot[U >: T, This >: Repr] extends Transformer[Combiner[U, This], FilterNot[U, This]]

    Attributes
      protected[this]

16. #### class Find[U >: T] extends Accessor[Option[U], Find[U]]

    Attributes
      protected[this]

17. #### class FlatMap[S, That] extends Transformer[Combiner[S, That], FlatMap[S, That]]

    Attributes
      protected[this]

18. #### class Fold[U >: T] extends Accessor[U, Fold[U]]

    Attributes
      protected[this]

19. #### class Forall extends Accessor[Boolean, Forall]

    Attributes
      protected[this]

20. #### class Foreach[S] extends Accessor[Unit, Foreach[S]]

    Attributes
      protected[this]

21. #### class FromScanTree[U >: T, That] extends StrictSplitterCheckTask[Combiner[U, That], FromScanTree[U, That]]

    Attributes
      protected[this]

22. #### class GroupBy[K, U >: T] extends Transformer[HashMapCombiner[K, U], GroupBy[K, U]]

    Attributes
      protected[this]

23. #### class Map[S, That] extends Transformer[Combiner[S, That], Map[S, That]]

    Attributes
      protected[this]

24. #### class Max[U >: T] extends Accessor[Option[U], Max[U]]

    Attributes
      protected[this]

25. #### class Min[U >: T] extends Accessor[Option[U], Min[U]]

    Attributes
      protected[this]

26. #### trait NonDivisible[R] extends NonDivisibleTask[R, NonDivisible[R]]

    Attributes
      protected[this]

27. #### trait NonDivisibleTask[R, Tp] extends StrictSplitterCheckTask[R, Tp]

    Attributes
      protected[this]

28. #### abstract class ParComposite[FR, SR, R, First <: ParIterableLike.this.StrictSplitterCheckTask[FR, _], Second <: ParIterableLike.this.StrictSplitterCheckTask[SR, _]] extends Composite[FR, SR, R, First, Second]

    Performs two tasks in parallel, and waits for both to finish.

29. #### class ParHashMapIterator extends EntryIterator[(K, V), ParHashMapIterator] with ParIterator

30. #### trait ParIterator extends IterableSplitter[T]

    Parallel iterators are split iterators that have additional accessor and transformer methods defined in terms of methods `next` and `hasNext`.

31. #### class Partition[U >: T, This >: Repr] extends Transformer[(Combiner[U, This], Combiner[U, This]), Partition[U, This]]

    Attributes
      protected[this]

32. #### class Product[U >: T] extends Accessor[U, Product[U]]

    Attributes
      protected[this]

33. #### class Reduce[U >: T] extends Accessor[Option[U], Reduce[U]]

    Attributes
      protected[this]

34. #### abstract class ResultMapping[R, Tp, R1] extends NonDivisibleTask[R1, ResultMapping[R, Tp, R1]]

    Attributes
      protected[this]

35. #### type SCPI = SignalContextPassingIterator[ParHashMapIterator]

36. #### type SSCTask[R, Tp] = StrictSplitterCheckTask[R, Tp]

    Definition Classes
      ParIterableLike

37. #### case class ScanLeaf[U >: T](pit: IterableSplitter[U], op: (U, U) ⇒ U, from: Int, len: Int, prev: Option[ScanLeaf[U]], acc: U) extends ScanTree[U] with Product with Serializable

    Attributes
      protected[this]

38. #### case class ScanNode[U >: T](left: ScanTree[U], right: ScanTree[U]) extends ScanTree[U] with Product with Serializable

    Attributes
      protected[this]

39. #### trait ScanTree[U >: T] extends AnyRef

    Attributes
      protected[this]

40. #### abstract class SeqComposite[FR, SR, R, First <: ParIterableLike.this.StrictSplitterCheckTask[FR, _], Second <: ParIterableLike.this.StrictSplitterCheckTask[SR, _]] extends Composite[FR, SR, R, First, Second]

    Sequentially performs one task after another.

41. #### trait SignalContextPassingIterator[+IterRepr <: ParIterator] extends ParIterator

    A stackable modification that ensures signal contexts get passed along the iterators.

42. #### trait SignallingOps[PI <: DelegatedSignalling] extends AnyRef

43. #### class Slice[U >: T, This >: Repr] extends Transformer[Combiner[U, This], Slice[U, This]]

    Attributes
      protected[this]

44. #### class Span[U >: T, This >: Repr] extends Transformer[(Combiner[U, This], Combiner[U, This]), Span[U, This]]

    Attributes
      protected[this]

45. #### class SplitAt[U >: T, This >: Repr] extends Transformer[(Combiner[U, This], Combiner[U, This]), SplitAt[U, This]]

    Attributes
      protected[this]

46. #### trait StrictSplitterCheckTask[R, Tp] extends Task[R, Tp]

    Attributes
      protected

47. #### class Sum[U >: T] extends Accessor[U, Sum[U]]

    Attributes
      protected[this]

48. #### class Take[U >: T, This >: Repr] extends Transformer[Combiner[U, This], Take[U, This]]

    Attributes
      protected[this]

49. #### class TakeWhile[U >: T, This >: Repr] extends Transformer[(Combiner[U, This], Boolean), TakeWhile[U, This]]

    Attributes
      protected[this]

50. #### trait TaskOps[R, Tp] extends AnyRef

51. #### class ToParCollection[U >: T, That] extends Transformer[Combiner[U, That], ToParCollection[U, That]]

    Attributes
      protected[this]

52. #### class ToParMap[K, V, That] extends Transformer[Combiner[(K, V), That], ToParMap[K, V, That]]

    Attributes
      protected[this]

53. #### trait Transformer[R, Tp] extends Accessor[R, Tp]

    Attributes
      protected

54. #### class Zip[U >: T, S, That] extends Transformer[Combiner[(U, S), That], Zip[U, S, That]]

    Attributes
      protected[this]

55. #### class ZipAll[U >: T, S, That] extends Transformer[Combiner[(U, S), That], ZipAll[U, S, That]]

    Attributes
      protected[this]

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     Any

3. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types.

   Equivalent to `x.hashCode` except for boxed numeric types. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

4. #### def +[U >: V](kv: (K, U)): ParMap[K, U]

   Definition Classes
     ParMapLike → GenMapLike

5. #### abstract def ++[B](that: GenTraversableOnce[B]): ParHashMap[B]

   [use case] Returns a new parallel hash map containing the elements from the left hand operand followed by the elements from the right hand operand.

   [use case]

   Returns a new parallel hash map containing the elements from the left hand operand followed by the elements from the right hand operand. The element type of the parallel hash map is the most specific superclass encompassing the element types of the two operands (see example).

   B

     the element type of the returned collection.

   that

     the traversable to append.

   returns

     a new collection of type `That` which contains all elements of this parallel hash map followed by all elements of `that`.

   Definition Classes
     GenTraversableLike

6. #### def ++[U >: (K, V), That](that: GenTraversableOnce[U])(implicit bf: CanBuildFrom[ParHashMap[K, V], U, That]): That

   Returns a new parallel hash map containing the elements from the left hand operand followed by the elements from the right hand operand.

   Returns a new parallel hash map containing the elements from the left hand operand followed by the elements from the right hand operand. The element type of the parallel hash map is the most specific superclass encompassing the element types of the two operands (see example).

   Example:

           scala> val a = LinkedList(1)
           a: scala.collection.mutable.LinkedList[Int] = LinkedList(1)

           scala> val b = LinkedList(2)
           b: scala.collection.mutable.LinkedList[Int] = LinkedList(2)

           scala> val c = a ++ b
           c: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2)

           scala> val d = LinkedList('a')
           d: scala.collection.mutable.LinkedList[Char] = LinkedList(a)

           scala> val e = c ++ d
           e: scala.collection.mutable.LinkedList[AnyVal] = LinkedList(1, 2, a)

   That

     the class of the returned collection. Where possible, `That` is the same class as the current collection class `Repr`, but this depends on the element type `B` being admissible for that class, which means that an implicit instance of type `CanBuildFrom[Repr, B, That]` is found.

   that

     the traversable to append.

   bf

     an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and and the new element type `B`.

   returns

     a new collection of type `That` which contains all elements of this parallel hash map followed by all elements of `that`.

   Definition Classes
     ParIterableLike → GenTraversableLike

7. #### def +=(kv: (K, V)): ParHashMap.this.type

   Definition Classes
     ParHashMap → ParMapLike

8. #### def -(key: K): ParHashMap[K, V]

   Definition Classes
     ParMapLike → GenMapLike

9. #### def -=(key: K): ParHashMap.this.type

   Definition Classes
     ParHashMap → ParMapLike

10. #### def /:[S](z: S)(op: (S, (K, V)) ⇒ S): S

    Applies a binary operator to a start value and all elements of this parallel hash map , going left to right.

    Applies a binary operator to a start value and all elements of this parallel hash map , going left to right.

    Note: `/:` is alternate syntax for `foldLeft`; `z /: xs` is the same as `xs foldLeft z`.

    Examples:

    Note that the folding function used to compute b is equivalent to that used to compute c.

             scala> val a = LinkedList(1,2,3,4)
             a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

             scala> val b = (5 /: a)(_+_)
             b: Int = 15

             scala> val c = (5 /: a)((x,y) => x + y)
             c: Int = 15

    Note: will not terminate for infinite-sized collections.

    Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

    z

      the start value.

    op

      the binary operator.

    returns

      the result of inserting `op` between consecutive elements of this parallel hash map , going left to right with the start value `z` on the left:

                      op(...op(op(z, x1), x2), ..., xn)

      where `x1, ..., xn` are the elements of this parallel hash map .

    Definition Classes
      ParIterableLike → GenTraversableOnce

11. #### def /:\[A1 >: (K, V)](z: A1)(op: (A1, A1) ⇒ A1): A1

    A syntactic sugar for out of order folding.

    A syntactic sugar for out of order folding. See `fold`.

    Example:

             scala> val a = LinkedList(1,2,3,4)
             a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

             scala> val b = (a /:\ 5)(_+_)
             b: Int = 15

    Definition Classes
      GenTraversableOnce

12. #### def :\[S](z: S)(op: ((K, V), S) ⇒ S): S

    Applies a binary operator to all elements of this parallel hash map and a start value, going right to left.

    Applies a binary operator to all elements of this parallel hash map and a start value, going right to left.

    Note: `:\` is alternate syntax for `foldRight`; `xs :\ z` is the same as `xs foldRight z`.

    Note: will not terminate for infinite-sized collections.

    Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

    Examples:

    Note that the folding function used to compute b is equivalent to that used to compute c.

             scala> val a = LinkedList(1,2,3,4)
             a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

             scala> val b = (a :\ 5)(_+_)
             b: Int = 15

             scala> val c = (a :\ 5)((x,y) => x + y)
             c: Int = 15

    z

      the start value

    op

      the binary operator

    returns

      the result of inserting `op` between consecutive elements of this parallel hash map , going right to left with the start value `z` on the right:

                      op(x1, op(x2, ... op(xn, z)...))

      where `x1, ..., xn` are the elements of this parallel hash map .

    Definition Classes
      ParIterableLike → GenTraversableOnce

13. #### final def ==(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

14. #### final def ==(arg0: Any): Boolean

    Test two objects for equality.

    Test two objects for equality.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      Any

15. #### var _loadFactor: Int

    Attributes
      protected
    Definition Classes
      HashTable

16. #### def addEntry(e: DefaultEntry[K, V]): Unit

    Add entry to table pre: no entry with same key exists

    Add entry to table pre: no entry with same key exists

    Attributes
      protected
    Definition Classes
      HashTable

17. #### def aggregate[S](z: S)(seqop: (S, (K, V)) ⇒ S, combop: (S, S) ⇒ S): S

    Aggregates the results of applying an operator to subsequent elements.

    Aggregates the results of applying an operator to subsequent elements.

    This is a more general form of `fold` and `reduce`. It has similar semantics, but does not require the result to be a supertype of the element type. It traverses the elements in different partitions sequentially, using `seqop` to update the result, and then applies `combop` to results from different partitions. The implementation of this operation may operate on an arbitrary number of collection partitions, so `combop` may be invoked arbitrary number of times.

    For example, one might want to process some elements and then produce a `Set`. In this case, `seqop` would process an element and append it to the list, while `combop` would concatenate two lists from different partitions together. The initial value `z` would be an empty set.

           pc.aggregate(Set[Int]())(_ += process(_), _ ++ _)

    Another example is calculating geometric mean from a collection of doubles (one would typically require big doubles for this).

    S

      the type of accumulated results

    z

      the initial value for the accumulated result of the partition - this will typically be the neutral element for the `seqop` operator (e.g. `Nil` for list concatenation or `0` for summation)

    seqop

      an operator used to accumulate results within a partition

    combop

      an associative operator used to combine results from different partitions

    Definition Classes
      ParIterableLike → GenTraversableOnce

18. #### def alwaysInitSizeMap: Boolean

    Definition Classes
      ParHashTable → HashTable

19. #### def apply(key: K): V

    Definition Classes
      ParMapLike → GenMapLike

20. #### final def asInstanceOf[T0]: T0

    Cast the receiver object to be of type `T0`.

    Cast the receiver object to be of type `T0`.

    Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

    returns

      the receiver object.

    Definition Classes
      Any
    Exceptions thrown
      ClassCastException

      if the receiver object is not an instance of the erasure of type `T0`.

21. #### def bf2seq[S, That](bf: CanBuildFrom[ParHashMap[K, V], S, That]): CanBuildFrom[HashMap[K, V], S, That]

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

22. #### implicit def builder2ops[Elem, To](cb: Builder[Elem, To]): BuilderOps[Elem, To]

    Attributes
      protected
    Definition Classes
      ParIterableLike

23. #### def calcSizeMapSize(tableLength: Int): Int

    Attributes
      protected
    Definition Classes
      HashTable

24. #### def canEqual(other: Any): Boolean

    Definition Classes
      ParIterableLike

25. #### def cbfactory: () ⇒ Combiner[(K, V), ParHashMap[K, V]]

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

26. #### def clear(): Unit

    Definition Classes
      ParHashMap → ParMapLike

27. #### def clearTable(): Unit

    Remove all entries from table

    Remove all entries from table

    Attributes
      protected
    Definition Classes
      HashTable

28. #### def clone(): ParHashMap[K, V]

    Create a copy of the receiver object.

    Create a copy of the receiver object.

    The default implementation of the `clone` method is platform dependent.

    returns

      a copy of the receiver object.

    Definition Classes
      Cloneable → AnyRef
    Note

      not specified by SLS as a member of AnyRef

29. #### abstract def collect[B](pf: PartialFunction[(K, V), B]): ParHashMap[B]

    [use case] Builds a new collection by applying a partial function to all elements of this parallel hash map

    [use case]

    Builds a new collection by applying a partial function to all elements of this parallel hash map

    on which the function is defined.

    B

      the element type of the returned collection.

    pf

      the partial function which filters and maps the parallel hash map .

    returns

      a new collection of type `That` resulting from applying the partial function `pf` to each element on which it is defined and collecting the results. The order of the elements is preserved.

    Definition Classes
      GenTraversableLike

30. #### def collect[S, That](pf: PartialFunction[(K, V), S])(implicit bf: CanBuildFrom[ParHashMap[K, V], S, That]): That

    Builds a new collection by applying a partial function to all elements of this parallel hash map

    Builds a new collection by applying a partial function to all elements of this parallel hash map

    on which the function is defined.

    That

      the class of the returned collection. Where possible, `That` is the same class as the current collection class `Repr`, but this depends on the element type `B` being admissible for that class, which means that an implicit instance of type `CanBuildFrom[Repr, B, That]` is found.

    pf

      the partial function which filters and maps the parallel hash map .

    bf

      an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and and the new element type `B`.

    returns

      a new collection of type `That` resulting from applying the partial function `pf` to each element on which it is defined and collecting the results. The order of the elements is preserved.

    Definition Classes
      ParIterableLike → GenTraversableLike

31. #### def companion: GenericCompanion[ParIterable] with GenericParCompanion[ParIterable]

    The factory companion object that builds instances of class ParHashMap.

    The factory companion object that builds instances of class ParHashMap. (or its `Iterable` superclass where class ParHashMap is not a `Seq`.)

    Definition Classes
      ParIterable → ParIterable → GenericParTemplate → GenIterable → GenTraversable → GenericTraversableTemplate

32. #### def copyToArray[U >: (K, V)](xs: Array[U], start: Int, len: Int): Unit

    Definition Classes
      ParIterableLike → GenTraversableOnce

33. #### abstract def copyToArray(xs: Array[(K, V)], start: Int): Unit

    [use case] Copies values of this parallel hash map to an array.

    [use case]

    Copies values of this parallel hash map to an array. Fills the given array `xs` with values of this parallel hash map , beginning at index `start`. Copying will stop once either the end of the current parallel hash map is reached, or the end of the array is reached.

    xs

      the array to fill.

    start

      the starting index.

    Definition Classes
      GenTraversableOnce

34. #### def copyToArray[U >: (K, V)](xs: Array[U], start: Int): Unit

    Copies values of this parallel hash map to an array.

    Copies values of this parallel hash map to an array. Fills the given array `xs` with values of this parallel hash map , beginning at index `start`. Copying will stop once either the end of the current parallel hash map is reached, or the end of the array is reached.

    Note: will not terminate for infinite-sized collections.

    xs

      the array to fill.

    start

      the starting index.

    Definition Classes
      ParIterableLike → GenTraversableOnce

35. #### abstract def copyToArray(xs: Array[(K, V)]): Unit

    [use case] Copies values of this parallel hash map to an array.

    [use case]

    Copies values of this parallel hash map to an array. Fills the given array `xs` with values of this parallel hash map . Copying will stop once either the end of the current parallel hash map is reached, or the end of the array is reached.

    xs

      the array to fill.

    Definition Classes
      GenTraversableOnce

36. #### def copyToArray[U >: (K, V)](xs: Array[U]): Unit

    Copies values of this parallel hash map to an array.

    Copies values of this parallel hash map to an array. Fills the given array `xs` with values of this parallel hash map . Copying will stop once either the end of the current parallel hash map is reached, or the end of the array is reached.

    Note: will not terminate for infinite-sized collections.

    xs

      the array to fill.

    Definition Classes
      ParIterableLike → GenTraversableOnce

37. #### def count(p: ((K, V)) ⇒ Boolean): Int

    Counts the number of elements in the parallel hash map which satisfy a predicate.

    Counts the number of elements in the parallel hash map which satisfy a predicate.

    p

      the predicate used to test elements.

    returns

      the number of elements satisfying the predicate `p`.

    Definition Classes
      ParIterableLike → GenTraversableOnce

38. #### def debugBuffer: ArrayBuffer[String]

    Definition Classes
      ParIterableLike

39. #### def default(key: K): V

    Definition Classes
      ParMapLike → GenMapLike

40. #### implicit def delegatedSignalling2ops[PI <: DelegatedSignalling](it: PI): SignallingOps[PI]

    Attributes
      protected
    Definition Classes
      ParIterableLike

41. #### def drop(n: Int): ParHashMap[K, V]

    Selects all elements except first n ones.

    Selects all elements except first n ones.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    n

      the number of elements to drop from this parallel hash map .

    returns

      a parallel hash map consisting of all elements of this parallel hash map except the first `n` ones, or else the empty parallel hash map , if this parallel hash map has less than `n` elements.

    Definition Classes
      ParIterableLike → GenTraversableLike

42. #### def dropWhile(pred: ((K, V)) ⇒ Boolean): ParHashMap[K, V]

    Drops all elements in the longest prefix of elements that satisfy the predicate, and returns a collection composed of the remaining elements.

    Drops all elements in the longest prefix of elements that satisfy the predicate, and returns a collection composed of the remaining elements.

    This method will use `indexFlag` signalling capabilities. This means that splitters may set and read the `indexFlag` state. The index flag is initially set to maximum integer value.

    pred

      the predicate used to test the elements

    returns

      a collection composed of all the elements after the longest prefix of elements in this parallel hash map that satisfy the predicate `pred`

    Definition Classes
      ParIterableLike → GenTraversableLike

43. #### def elemEquals(key1: K, key2: K): Boolean

    Attributes
      protected
    Definition Classes
      HashTable

44. #### def elemHashCode(key: K): Int

    Attributes
      protected
    Definition Classes
      HashUtils

45. #### def empty: ParHashMap[K, V]

    Definition Classes
      ParHashMap → ParMap → ParMap → ParMapLike

46. #### def entriesIterator: Iterator[DefaultEntry[K, V]]

    An iterator returning all entries.

    An iterator returning all entries.

    Attributes
      protected
    Definition Classes
      HashTable

47. #### final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

48. #### def equals(that: Any): Boolean

    Compares two maps structurally; i.

    Compares two maps structurally; i.e. checks if all mappings contained in this map are also contained in the other map, and vice versa.

    that

      the other map

    returns

      `true` if both maps contain exactly the same mappings, `false` otherwise.

    Definition Classes
      GenMapLike → Equals → AnyRef → Any

49. #### def exists(pred: ((K, V)) ⇒ Boolean): Boolean

    Tests whether a predicate holds for some element of this parallel hash map .

    Tests whether a predicate holds for some element of this parallel hash map .

    This method will use `abort` signalling capabilities. This means that splitters may send and read `abort` signals.

    returns

      true if `p` holds for some element, false otherwise

    Definition Classes
      ParIterableLike → GenTraversableOnce

50. #### def filter(pred: ((K, V)) ⇒ Boolean): ParHashMap[K, V]

    Selects all elements of this parallel hash map which satisfy a predicate.

    Selects all elements of this parallel hash map which satisfy a predicate.

    returns

      a new parallel hash map consisting of all elements of this parallel hash map that satisfy the given predicate `p`. Their order may not be preserved.

    Definition Classes
      ParIterableLike → GenTraversableLike

51. #### def filterNot(pred: ((K, V)) ⇒ Boolean): ParHashMap[K, V]

    Selects all elements of this parallel hash map which do not satisfy a predicate.

    Selects all elements of this parallel hash map which do not satisfy a predicate.

    returns

      a new parallel hash map consisting of all elements of this parallel hash map that do not satisfy the given predicate `p`. Their order may not be preserved.

    Definition Classes
      ParIterableLike → GenTraversableLike

52. #### def finalize(): Unit

    Called by the garbage collector on the receiver object when there are no more references to the object.

    Called by the garbage collector on the receiver object when there are no more references to the object.

    The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()
    Note

      not specified by SLS as a member of AnyRef

53. #### def find(pred: ((K, V)) ⇒ Boolean): Option[(K, V)]

    Finds some element in the collection for which the predicate holds, if such an element exists.

    Finds some element in the collection for which the predicate holds, if such an element exists. The element may not necessarily be the first such element in the iteration order.

    If there are multiple elements obeying the predicate, the choice is nondeterministic.

    This method will use `abort` signalling capabilities. This means that splitters may send and read `abort` signals.

    returns

      an option value with the element if such an element exists, or `None` otherwise

    Definition Classes
      ParIterableLike → GenTraversableOnce

54. #### def findEntry(key: K): DefaultEntry[K, V]

    Find entry with given key in table, null if not found.

    Find entry with given key in table, null if not found.

    Attributes
      protected
    Definition Classes
      HashTable

55. #### abstract def flatMap[B](f: ((K, V)) ⇒ GenTraversableOnce[B]): ParHashMap[B]

    [use case] Builds a new collection by applying a function to all elements of this parallel hash map

    [use case]

    Builds a new collection by applying a function to all elements of this parallel hash map

    and using the elements of the resulting collections. For example:

    B

      the element type of the returned collection.

    f

      the function to apply to each element.

    returns

      a new collection of type `That` resulting from applying the given collection-valued function `f` to each element of this parallel hash map and concatenating the results.

    Definition Classes
      GenTraversableLike

56. #### def flatMap[S, That](f: ((K, V)) ⇒ GenTraversableOnce[S])(implicit bf: CanBuildFrom[ParHashMap[K, V], S, That]): That

    Builds a new collection by applying a function to all elements of this parallel hash map

    Builds a new collection by applying a function to all elements of this parallel hash map

    and using the elements of the resulting collections. For example:

         def getWords(lines: Seq[String]): Seq[String] = lines flatMap (line => line split "\\W+")

    The type of the resulting collection is guided by the static type of parallel hash map . This might cause unexpected results sometimes. For example:

         // lettersOf will return a Seq[Char] of likely repeated letters, instead of a Set
         def lettersOf(words: Seq[String]) = words flatMap (word => word.toSet)

         // lettersOf will return a Set[Char], not a Seq
         def lettersOf(words: Seq[String]) = words.toSet flatMap (word => word.toSeq)

         // xs will be a an Iterable[Int]
         val xs = Map("a" -> List(11,111), "b" -> List(22,222)).flatMap(_._2)

         // ys will be a Map[Int, Int]
         val ys = Map("a" -> List(1 -> 11,1 -> 111), "b" -> List(2 -> 22,2 -> 222)).flatMap(_._2)

    That

      the class of the returned collection. Where possible, `That` is the same class as the current collection class `Repr`, but this depends on the element type `B` being admissible for that class, which means that an implicit instance of type `CanBuildFrom[Repr, B, That]` is found.

    f

      the function to apply to each element.

    bf

      an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and and the new element type `B`.

    returns

      a new collection of type `That` resulting from applying the given collection-valued function `f` to each element of this parallel hash map and concatenating the results.

    Definition Classes
      ParIterableLike → GenTraversableLike

57. #### abstract def flatten[B]: ParHashMap[B]

    [use case] Converts this parallel hash map of traversable collections into a parallel hash map formed by the elements of these traversable collections.

    [use case]

    Converts this parallel hash map of traversable collections into a parallel hash map formed by the elements of these traversable collections.

    B

      the type of the elements of each traversable collection.

    returns

      a new parallel hash map resulting from concatenating all element parallel hash map s.

    Definition Classes
      GenericTraversableTemplate

58. #### def flatten[B](implicit asTraversable: ((K, V)) ⇒ TraversableOnce[B]): ParIterable[B]

    Converts this parallel hash map of traversable collections into a parallel hash map formed by the elements of these traversable collections.

    Converts this parallel hash map of traversable collections into a parallel hash map formed by the elements of these traversable collections.

    The resulting collection's type will be guided by the static type of parallel hash map . For example:

         val xs = List(Set(1, 2, 3), Set(1, 2, 3))
         // xs == List(1, 2, 3, 1, 2, 3)

         val ys = Set(List(1, 2, 3), List(3, 2, 1))
         // ys == Set(1, 2, 3)

    B

      the type of the elements of each traversable collection.

    asTraversable

      an implicit conversion which asserts that the element type of this parallel hash map is a `Traversable`.

    returns

      a new parallel hash map resulting from concatenating all element parallel hash map s.

    Definition Classes
      GenericTraversableTemplate

59. #### def fold[U >: (K, V)](z: U)(op: (U, U) ⇒ U): U

    Folds the elements of this sequence using the specified associative binary operator.

    Folds the elements of this sequence using the specified associative binary operator. The order in which the elements are reduced is unspecified and may be nondeterministic.

    Note this method has a different signature than the `foldLeft` and `foldRight` methods of the trait `Traversable`. The result of folding may only be a supertype of this parallel collection's type parameter `T`.

    U

      a type parameter for the binary operator, a supertype of `T`.

    z

      a neutral element for the fold operation, it may be added to the result an arbitrary number of times, not changing the result (e.g. `Nil` for list concatenation, 0 for addition, or 1 for multiplication)

    op

      a binary operator that must be associative

    returns

      the result of applying fold operator `op` between all the elements and `z`

    Definition Classes
      ParIterableLike → GenTraversableOnce

60. #### def foldLeft[S](z: S)(op: (S, (K, V)) ⇒ S): S

    Applies a binary operator to a start value and all elements of this parallel hash map , going left to right.

    Applies a binary operator to a start value and all elements of this parallel hash map , going left to right.

    Note: will not terminate for infinite-sized collections.

    Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

    z

      the start value.

    op

      the binary operator.

    returns

      the result of inserting `op` between consecutive elements of this parallel hash map , going left to right with the start value `z` on the left:

                      op(...op(z, x1), x2, ..., xn)

      where `x1, ..., xn` are the elements of this parallel hash map .

    Definition Classes
      ParIterableLike → GenTraversableOnce

61. #### def foldRight[S](z: S)(op: ((K, V), S) ⇒ S): S

    Applies a binary operator to all elements of this parallel hash map and a start value, going right to left.

    Applies a binary operator to all elements of this parallel hash map and a start value, going right to left.

    Note: will not terminate for infinite-sized collections.

    Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

    z

      the start value.

    op

      the binary operator.

    returns

      the result of inserting `op` between consecutive elements of this parallel hash map , going right to left with the start value `z` on the right:

                      op(x1, op(x2, ... op(xn, z)...))

      where `x1, ..., xn` are the elements of this parallel hash map .

    Definition Classes
      ParIterableLike → GenTraversableOnce

62. #### def forall(pred: ((K, V)) ⇒ Boolean): Boolean

    Tests whether a predicate holds for all elements of this parallel hash map .

    Tests whether a predicate holds for all elements of this parallel hash map .

    This method will use `abort` signalling capabilities. This means that splitters may send and read `abort` signals.

    returns

      true if `p` holds for all elements, false otherwise

    Definition Classes
      ParIterableLike → GenTraversableOnce

63. #### def foreach[U](f: ((K, V)) ⇒ U): Unit

    Applies a function `f` to all the elements of parallel hash map in a sequential order.

    Applies a function `f` to all the elements of parallel hash map in a sequential order.

    U

      the result type of the function applied to each element, which is always discarded

    f

      function applied to each element

    Definition Classes
      ParIterableLike → GenTraversableLike → GenTraversableOnce

64. #### final def foreachEntry[C](f: (DefaultEntry[K, V]) ⇒ C): Unit

    Attributes
      protected
    Definition Classes
      HashTable

65. #### def genericBuilder[B]: Combiner[B, ParIterable[B]]

    The generic builder that builds instances of ParHashMap at arbitrary element types.

    The generic builder that builds instances of ParHashMap at arbitrary element types.

    Definition Classes
      GenericParTemplate → GenericTraversableTemplate

66. #### def genericCombiner[B]: Combiner[B, ParIterable[B]]

    Definition Classes
      GenericParTemplate

67. #### def genericMapCombiner[P, Q]: Combiner[(P, Q), ParHashMap[P, Q]]

    Definition Classes
      GenericParMapTemplate

68. #### def get(key: K): Option[V]

    Definition Classes
      ParHashMap → GenMapLike

69. #### final def getClass(): java.lang.Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Note

      not specified by SLS as a member of AnyRef

70. #### def groupBy[K](f: ((K, V)) ⇒ K): ParMap[K, ParHashMap[K, V]]

    Partitions this parallel hash map into a map of parallel hash map s according to some discriminator function.

    Partitions this parallel hash map into a map of parallel hash map s according to some discriminator function.

    Note: this method is not re-implemented by views. This means when applied to a view it will always force the view and return a new parallel hash map .

    K

      the type of keys returned by the discriminator function.

    f

      the discriminator function.

    returns

      A map from keys to parallel hash map s such that the following invariant holds:

                          (xs partition f)(k) = xs filter (x => f(x) == k)

      That is, every key `k` is bound to a parallel hash map of those elements `x` for which `f(x)` equals `k`.

    Definition Classes
      ParIterableLike → GenTraversableLike

71. #### def hasDefiniteSize: Boolean

    Definition Classes
      ParIterableLike → GenTraversableOnce

72. #### def hashCode(): Int

    The hashCode method for reference types.

    The hashCode method for reference types. See hashCode in Any.

    returns

      the hash code value for this object.

    Definition Classes
      GenMapLike → AnyRef → Any

73. #### def head: (K, V)

    Definition Classes
      GenIterableLike → GenTraversableLike

74. #### final def improve(hcode: Int): Int

    Attributes
      protected
    Definition Classes
      HashUtils

75. #### final def index(hcode: Int): Int

    Attributes
      protected
    Definition Classes
      HashTable

76. #### def initWithContents(c: Contents[K, DefaultEntry[K, V]]): Unit

    Attributes
      protected
    Definition Classes
      HashTable

77. #### def initialSize: Int

    Attributes
      protected
    Definition Classes
      HashTable

78. #### def isEmpty: Boolean

    Tests whether the parallel hash map is empty.

    Tests whether the parallel hash map is empty.

    returns

      `true` if the parallel hash map contains no elements, `false` otherwise.

    Definition Classes
      GenIterableLike → GenTraversableOnce

79. #### final def isInstanceOf[T0]: Boolean

    Test whether the dynamic type of the receiver object is `T0`.

    Test whether the dynamic type of the receiver object is `T0`.

    Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

    returns

      `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

    Definition Classes
      Any

80. #### def isSizeMapDefined: Boolean

    Attributes
      protected
    Definition Classes
      HashTable

81. #### def isStrictSplitterCollection: Boolean

    Denotes whether this parallel collection has strict splitters.

    Denotes whether this parallel collection has strict splitters.

    This is true in general, and specific collection instances may choose to override this method. Such collections will fail to execute methods which rely on splitters being strict, i.e. returning a correct value in the `remaining` method.

    This method helps ensure that such failures occur on method invocations, rather than later on and in unpredictable ways.

    Definition Classes
      ParIterableLike

82. #### final def isTraversableAgain: Boolean

    Tests whether this parallel hash map can be repeatedly traversed.

    Tests whether this parallel hash map can be repeatedly traversed.

    returns

      `true`

    Definition Classes
      GenTraversableLike → GenTraversableOnce

83. #### def iterator: Splitter[(K, V)]

    Creates a new split iterator used to traverse the elements of this collection.

    Creates a new split iterator used to traverse the elements of this collection.

    By default, this method is implemented in terms of the protected `splitter` method.

    returns

      a split iterator

    Definition Classes
      ParIterableLike → GenIterableLike

84. #### abstract def map[B](f: ((K, V)) ⇒ B): ParHashMap[B]

    [use case] Builds a new collection by applying a function to all elements of this parallel hash map .

    [use case]

    Builds a new collection by applying a function to all elements of this parallel hash map .

    B

      the element type of the returned collection.

    f

      the function to apply to each element.

    returns

      a new collection of type `That` resulting from applying the given function `f` to each element of this parallel hash map and collecting the results.

    Definition Classes
      GenTraversableLike

85. #### def map[S, That](f: ((K, V)) ⇒ S)(implicit bf: CanBuildFrom[ParHashMap[K, V], S, That]): That

    Builds a new collection by applying a function to all elements of this parallel hash map .

    Builds a new collection by applying a function to all elements of this parallel hash map .

    That

      the class of the returned collection. Where possible, `That` is the same class as the current collection class `Repr`, but this depends on the element type `B` being admissible for that class, which means that an implicit instance of type `CanBuildFrom[Repr, B, That]` is found.

    f

      the function to apply to each element.

    bf

      an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and and the new element type `B`.

    returns

      a new collection of type `That` resulting from applying the given function `f` to each element of this parallel hash map and collecting the results.

    Definition Classes
      ParIterableLike → GenTraversableLike

86. #### def mapCompanion: GenericParMapCompanion[ParHashMap]

    Definition Classes
      ParHashMap → ParMap → ParMap → GenericParMapTemplate

87. #### abstract def max: (K, V)

    [use case] Finds the largest element.

    [use case]

    Finds the largest element.

    returns

      the largest element of this parallel hash map with respect to the ordering `cmp`.

    Definition Classes
      GenTraversableOnce

88. #### def max[U >: (K, V)](implicit ord: Ordering[U]): (K, V)

    Finds the largest element.

    Finds the largest element.

    returns

      the largest element of this parallel hash map with respect to the ordering `cmp`.

    Definition Classes
      ParIterableLike → GenTraversableOnce

89. #### def maxBy[S](f: ((K, V)) ⇒ S)(implicit cmp: Ordering[S]): (K, V)

    Definition Classes
      ParIterableLike → GenTraversableOnce

90. #### abstract def min: (K, V)

    [use case] Finds the smallest element.

    [use case]

    Finds the smallest element.

    returns

      the smallest element of this parallel hash map with respect to the ordering `cmp`.

    Definition Classes
      GenTraversableOnce

91. #### def min[U >: (K, V)](implicit ord: Ordering[U]): (K, V)

    Finds the smallest element.

    Finds the smallest element.

    returns

      the smallest element of this parallel hash map with respect to the ordering `cmp`.

    Definition Classes
      ParIterableLike → GenTraversableOnce

92. #### def minBy[S](f: ((K, V)) ⇒ S)(implicit cmp: Ordering[S]): (K, V)

    Definition Classes
      ParIterableLike → GenTraversableOnce

93. #### def mkString: String

    Displays all elements of this parallel hash map in a string.

    Displays all elements of this parallel hash map in a string.

    returns

      a string representation of this parallel hash map . In the resulting string the string representations (w.r.t. the method `toString`) of all elements of this parallel hash map follow each other without any separator string.

    Definition Classes
      ParIterableLike → GenTraversableOnce

94. #### def mkString(sep: String): String

    Displays all elements of this parallel hash map in a string using a separator string.

    Displays all elements of this parallel hash map in a string using a separator string.

    sep

      the separator string.

    returns

      a string representation of this parallel hash map . In the resulting string the string representations (w.r.t. the method `toString`) of all elements of this parallel hash map are separated by the string `sep`.

    Definition Classes
      ParIterableLike → GenTraversableOnce
    Example:

    1. `List(1, 2, 3).mkString("|") = "1|2|3"`

95. #### def mkString(start: String, sep: String, end: String): String

    Displays all elements of this parallel hash map in a string using start, end, and separator strings.

    Displays all elements of this parallel hash map in a string using start, end, and separator strings.

    start

      the starting string.

    sep

      the separator string.

    end

      the ending string.

    returns

      a string representation of this parallel hash map . The resulting string begins with the string `start` and ends with the string `end`. Inside, the string representations (w.r.t. the method `toString`) of all elements of this parallel hash map are separated by the string `sep`.

    Definition Classes
      ParIterableLike → GenTraversableOnce
    Example:

    1. `List(1, 2, 3).mkString("(", "; ", ")") = "(1; 2; 3)"`

96. #### final def ne(arg0: AnyRef): Boolean

    Equivalent to `!(this eq that)`.

    Equivalent to `!(this eq that)`.

    returns

      `true` if the argument is not a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

97. #### def newBuilder: Builder[(K, V), ParIterable[(K, V)]]

    The builder that builds instances of type ParHashMap[A]

    The builder that builds instances of type ParHashMap[A]

    Attributes
      protected[this]
    Definition Classes
      GenericParTemplate → GenericTraversableTemplate → HasNewBuilder

98. #### def newCombiner: ParHashMapCombiner[K, V]

    Attributes
      protected[this]
    Definition Classes
      ParHashMap → ParMap → GenericParMapTemplate → GenericParTemplate → HasNewCombiner

99. #### def nnSizeMapAdd(h: Int): Unit

    Attributes
      protected
    Definition Classes
      HashTable

100. #### def nnSizeMapRemove(h: Int): Unit

     Attributes
       protected
     Definition Classes
       HashTable

101. #### def nnSizeMapReset(tableLength: Int): Unit

     Attributes
       protected
     Definition Classes
       HashTable

102. #### def nonEmpty: Boolean

     Tests whether the parallel hash map is not empty.

     Tests whether the parallel hash map is not empty.

     returns

       `true` if the parallel hash map contains at least one element, `false` otherwise.

     Definition Classes
       ParIterableLike → GenTraversableOnce

103. #### final def notify(): Unit

     Wakes up a single thread that is waiting on the receiver object's monitor.

     Wakes up a single thread that is waiting on the receiver object's monitor.

     Definition Classes
       AnyRef
     Note

       not specified by SLS as a member of AnyRef

104. #### final def notifyAll(): Unit

     Wakes up all threads that are waiting on the receiver object's monitor.

     Wakes up all threads that are waiting on the receiver object's monitor.

     Definition Classes
       AnyRef
     Note

       not specified by SLS as a member of AnyRef

105. #### def par: ParHashMap[K, V]

     Returns a parallel implementation of this collection.

     Returns a parallel implementation of this collection.

     For most collection types, this method creates a new parallel collection by copying all the elements. For these collection, `par` takes linear time. Mutable collections in this category do not produce a mutable parallel collection that has the same underlying dataset, so changes in one collection will not be reflected in the other one.

     Specific collections (e.g. `ParArray` or `mutable.ParHashMap`) override this default behaviour by creating a parallel collection which shares the same underlying dataset. For these collections, `par` takes constant or sublinear time.

     All parallel collections return a reference to themselves.

     returns

       a parallel implementation of this collection

     Definition Classes
       ParIterableLike → CustomParallelizable → Parallelizable

106. #### def parCombiner: Combiner[(K, V), ParHashMap[K, V]]

     The default `par` implementation uses the combiner provided by this method to create a new parallel collection.

     The default `par` implementation uses the combiner provided by this method to create a new parallel collection.

     returns

       a combiner for the parallel collection of type `ParRepr`

     Attributes
       protected[this]
     Definition Classes
       CustomParallelizable → Parallelizable

107. #### def partition(pred: ((K, V)) ⇒ Boolean): (ParHashMap[K, V], ParHashMap[K, V])

     Partitions this parallel hash map in two parallel hash map s according to a predicate.

     Partitions this parallel hash map in two parallel hash map s according to a predicate.

     returns

       a pair of parallel hash map s: the first parallel hash map consists of all elements that satisfy the predicate `p` and the second parallel hash map consists of all elements that don't. The relative order of the elements in the resulting parallel hash map s may not be preserved.

     Definition Classes
       ParIterableLike → GenTraversableLike

108. #### abstract def product: (K, V)

     [use case] Multiplies up the elements of this collection.

     [use case]

     Multiplies up the elements of this collection.

     returns

       the product of all elements of this parallel hash map with respect to the `*` operator in `num`.

     Definition Classes
       GenTraversableOnce

109. #### def product[U >: (K, V)](implicit num: Numeric[U]): U

     Multiplies up the elements of this collection.

     Multiplies up the elements of this collection.

     num

       an implicit parameter defining a set of numeric operations which includes the `*` operator to be used in forming the product.

     returns

       the product of all elements of this parallel hash map with respect to the `*` operator in `num`.

     Definition Classes
       ParIterableLike → GenTraversableOnce

110. #### def put(key: K, value: V): Option[V]

     Definition Classes
       ParHashMap → ParMapLike

111. #### def reduce[U >: (K, V)](op: (U, U) ⇒ U): U

     Reduces the elements of this sequence using the specified associative binary operator.

     Reduces the elements of this sequence using the specified associative binary operator.

     The order in which operations are performed on elements is unspecified and may be nondeterministic.

     Note this method has a different signature than the `reduceLeft` and `reduceRight` methods of the trait `Traversable`. The result of reducing may only be a supertype of this parallel collection's type parameter `T`.

     U

       A type parameter for the binary operator, a supertype of `T`.

     op

       A binary operator that must be associative.

     returns

       The result of applying reduce operator `op` between all the elements if the collection is nonempty.

     Definition Classes
       ParIterableLike → GenTraversableOnce
     Exceptions thrown
       UnsupportedOperationException

       if this parallel hash map is empty.

112. #### def reduceLeft[U >: (K, V)](op: (U, (K, V)) ⇒ U): U

     Definition Classes
       ParIterableLike

113. #### def reduceLeftOption[U >: (K, V)](op: (U, (K, V)) ⇒ U): Option[U]

     Optionally applies a binary operator to all elements of this parallel hash map , going left to right.

     Optionally applies a binary operator to all elements of this parallel hash map , going left to right.

     Note: will not terminate for infinite-sized collections.

     Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

     op

       the binary operator.

     returns

       an option value containing the result of `reduceLeft(op)` is this parallel hash map is nonempty, `None` otherwise.

     Definition Classes
       ParIterableLike → GenTraversableOnce

114. #### def reduceOption[U >: (K, V)](op: (U, U) ⇒ U): Option[U]

     Optionally reduces the elements of this sequence using the specified associative binary operator.

     Optionally reduces the elements of this sequence using the specified associative binary operator.

     The order in which operations are performed on elements is unspecified and may be nondeterministic.

     Note this method has a different signature than the `reduceLeftOption` and `reduceRightOption` methods of the trait `Traversable`. The result of reducing may only be a supertype of this parallel collection's type parameter `T`.

     U

       A type parameter for the binary operator, a supertype of `T`.

     op

       A binary operator that must be associative.

     returns

       An option value containing result of applying reduce operator `op` between all the elements if the collection is nonempty, and `None` otherwise.

     Definition Classes
       ParIterableLike → GenTraversableOnce

115. #### def reduceRight[U >: (K, V)](op: ((K, V), U) ⇒ U): U

     Applies a binary operator to all elements of this parallel hash map , going right to left.

     Applies a binary operator to all elements of this parallel hash map , going right to left.

     Note: will not terminate for infinite-sized collections.

     Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

     op

       the binary operator.

     returns

       the result of inserting `op` between consecutive elements of this parallel hash map , going right to left:

                       op(x,,1,,, op(x,,2,,, ..., op(x,,n-1,,, x,,n,,)...))

       where `x1, ..., xn` are the elements of this parallel hash map .

     Definition Classes
       ParIterableLike → GenTraversableOnce
     Exceptions thrown
       `UnsupportedOperationException`

       if this parallel hash map is empty.

116. #### def reduceRightOption[U >: (K, V)](op: ((K, V), U) ⇒ U): Option[U]

     Optionally applies a binary operator to all elements of this parallel hash map , going right to left.

     Optionally applies a binary operator to all elements of this parallel hash map , going right to left.

     Note: will not terminate for infinite-sized collections.

     Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

     op

       the binary operator.

     returns

       an option value containing the result of `reduceRight(op)` is this parallel hash map is nonempty, `None` otherwise.

     Definition Classes
       ParIterableLike → GenTraversableOnce

117. #### def remove(key: K): Option[V]

118. #### def removeEntry(key: K): DefaultEntry[K, V]

     Remove entry from table if present.

     Remove entry from table if present.

     Attributes
       protected
     Definition Classes
       HashTable

119. #### def repr: ParHashMap[K, V]

     Definition Classes
       ParIterableLike → GenTraversableLike

120. #### def reuse[S, That](oldc: Option[Combiner[S, That]], newc: Combiner[S, That]): Combiner[S, That]

     Optionally reuses an existing combiner for better performance.

     Optionally reuses an existing combiner for better performance. By default it doesn't - subclasses may override this behaviour. The provided combiner `oldc` that can potentially be reused will be either some combiner from the previous computational task, or `None` if there was no previous phase (in which case this method must return `newc`).

     oldc

       The combiner that is the result of the previous task, or `None` if there was no previous task.

     newc

       The new, empty combiner that can be used.

     returns

       Either `newc` or `oldc`.

     Attributes
       protected
     Definition Classes
       ParIterableLike

121. #### abstract def sameElements(that: GenIterable[(K, V)]): Boolean

     [use case] Checks if the other iterable collection contains the same elements in the same order as this parallel hash map .

     [use case]

     Checks if the other iterable collection contains the same elements in the same order as this parallel hash map .

     that

       the collection to compare with.

     returns

       `true`, if both collections contain the same elements in the same order, `false` otherwise.

     Definition Classes
       GenIterableLike

122. #### def sameElements[U >: (K, V)](that: GenIterable[U]): Boolean

     Checks if the other iterable collection contains the same elements in the same order as this parallel hash map .

     Checks if the other iterable collection contains the same elements in the same order as this parallel hash map .

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     Note: will not terminate for infinite-sized collections.

     that

       the collection to compare with.

     returns

       `true`, if both collections contain the same elements in the same order, `false` otherwise.

     Definition Classes
       ParIterableLike → GenIterableLike

123. #### abstract def scan(z: (K, V))(op: ((K, V), (K, V)) ⇒ (K, V)): ParHashMap[(K, V)]

     [use case] Computes a prefix scan of the elements of the collection.

     [use case]

     Computes a prefix scan of the elements of the collection.

     z

       neutral element for the operator `op`

     op

       the associative operator for the scan

     returns

       a collection containing the prefix scan of the elements in the original collection

     Definition Classes
       ParIterableLike

124. #### def scan[U >: (K, V), That](z: U)(op: (U, U) ⇒ U)(implicit bf: CanBuildFrom[ParHashMap[K, V], U, That]): That

     Computes a prefix scan of the elements of the collection.

     Computes a prefix scan of the elements of the collection.

     Note: The neutral element `z` may be applied more than once.

     U

       element type of the resulting collection

     That

       type of the resulting collection

     z

       neutral element for the operator `op`

     op

       the associative operator for the scan

     returns

       a collection containing the prefix scan of the elements in the original collection

     Definition Classes
       ParIterableLike → GenTraversableLike

125. #### def scanBlockSize: Int

     Attributes
       protected[this]
     Definition Classes
       ParIterableLike

126. #### def scanLeft[S, That](z: S)(op: (S, (K, V)) ⇒ S)(implicit bf: CanBuildFrom[ParHashMap[K, V], S, That]): That

     Produces a collection containing cummulative results of applying the operator going left to right.

     Produces a collection containing cummulative results of applying the operator going left to right.

     Note: will not terminate for infinite-sized collections.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     That

       the actual type of the resulting collection

     z

       the initial value

     op

       the binary operator applied to the intermediate result and the element

     bf

       an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and and the new element type `B`.

     returns

       collection with intermediate results

     Definition Classes
       ParIterableLike → GenTraversableLike

127. #### def scanRight[S, That](z: S)(op: ((K, V), S) ⇒ S)(implicit bf: CanBuildFrom[ParHashMap[K, V], S, That]): That

     Produces a collection containing cummulative results of applying the operator going right to left.

     Produces a collection containing cummulative results of applying the operator going right to left. The head of the collection is the last cummulative result.

     Note: will not terminate for infinite-sized collections.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     Example:

            List(1, 2, 3, 4).scanRight(0)(_ + _) == List(10, 9, 7, 4, 0)

     That

       the actual type of the resulting collection

     z

       the initial value

     op

       the binary operator applied to the intermediate result and the element

     bf

       an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and and the new element type `B`.

     returns

       collection with intermediate results

     Definition Classes
       ParIterableLike → GenTraversableLike

128. #### def seq: HashMap[K, V]

     Definition Classes
       ParHashMap → ParMap → ParIterable → ParIterableLike → GenMap → GenIterable → GenTraversable → GenMapLike → Parallelizable → GenTraversableOnce

129. #### def sequentially[S, That <: Parallel](b: (HashMap[K, V]) ⇒ Parallelizable[S, That]): ParHashMap[K, V]

     Attributes
       protected[this]
     Definition Classes
       ParIterableLike

130. #### def size: Int

     The size of this parallel hash map .

     The size of this parallel hash map .

     Note: will not terminate for infinite-sized collections.

     returns

       the number of elements in this parallel hash map .

     Definition Classes
       ParHashMap → GenTraversableLike → GenTraversableOnce

131. #### final def sizeMapBucketBitSize: Int

     Attributes
       protected
     Definition Classes
       HashUtils

132. #### final def sizeMapBucketSize: Int

     Attributes
       protected
     Definition Classes
       HashUtils

133. #### def sizeMapDisable(): Unit

     Attributes
       protected
     Definition Classes
       HashTable

134. #### def sizeMapInit(tableLength: Int): Unit

     Attributes
       protected
     Definition Classes
       HashTable

135. #### def sizeMapInitAndRebuild(): Unit

     Attributes
       protected
     Definition Classes
       HashTable

136. #### var sizemap: Array[Int]

     The array keeping track of the number of elements in 32 element blocks.

     The array keeping track of the number of elements in 32 element blocks.

     Attributes
       protected
     Definition Classes
       HashTable

137. #### def slice(unc_from: Int, unc_until: Int): ParHashMap[K, V]

     Selects an interval of elements.

     Selects an interval of elements. The returned collection is made up of all elements `x` which satisfy the invariant:

            from <= indexOf(x) < until

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     returns

       a parallel hash map containing the elements greater than or equal to index `from` extending up to (but not including) index `until` of this parallel hash map .

     Definition Classes
       ParIterableLike → GenTraversableLike

138. #### def span(pred: ((K, V)) ⇒ Boolean): (ParHashMap[K, V], ParHashMap[K, V])

     Splits this parallel hash map into a prefix/suffix pair according to a predicate.

     Splits this parallel hash map into a prefix/suffix pair according to a predicate.

     This method will use `indexFlag` signalling capabilities. This means that splitters may set and read the `indexFlag` state. The index flag is initially set to maximum integer value.

     pred

       the predicate used to test the elements

     returns

       a pair consisting of the longest prefix of the collection for which all the elements satisfy `pred`, and the rest of the collection

     Definition Classes
       ParIterableLike → GenTraversableLike

139. #### def splitAt(n: Int): (ParHashMap[K, V], ParHashMap[K, V])

     Splits this parallel hash map into two at a given position.

     Splits this parallel hash map into two at a given position. Note: `c splitAt n` is equivalent to (but possibly more efficient than) `(c take n, c drop n)`.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     n

       the position at which to split.

     returns

       a pair of parallel hash map s consisting of the first `n` elements of this parallel hash map , and the other elements.

     Definition Classes
       ParIterableLike → GenTraversableLike

140. #### def splitter: ParHashMapIterator with SCPI

     Creates a new parallel iterator used to traverse the elements of this parallel collection.

     Creates a new parallel iterator used to traverse the elements of this parallel collection. This iterator is more specific than the iterator of the returned by `iterator`, and augmented with additional accessor and transformer methods.

     returns

       a parallel iterator

     Definition Classes
       ParHashMap → ParIterableLike

141. #### def stringPrefix: String

     Defines the prefix of this object's `toString` representation.

     Defines the prefix of this object's `toString` representation.

     returns

       a string representation which starts the result of `toString` applied to this parallel hash map . By default the string prefix is the simple name of the collection class parallel hash map .

     Definition Classes
       ParHashMap → ParMap → ParIterable → GenTraversableLike

142. #### abstract def sum: (K, V)

     [use case] Sums up the elements of this collection.

     [use case]

     Sums up the elements of this collection.

     returns

       the sum of all elements of this parallel hash map with respect to the `+` operator in `num`.

     Definition Classes
       GenTraversableOnce

143. #### def sum[U >: (K, V)](implicit num: Numeric[U]): U

     Sums up the elements of this collection.

     Sums up the elements of this collection.

     num

       an implicit parameter defining a set of numeric operations which includes the `+` operator to be used in forming the sum.

     returns

       the sum of all elements of this parallel hash map with respect to the `+` operator in `num`.

     Definition Classes
       ParIterableLike → GenTraversableOnce

144. #### final def synchronized[T0](arg0: ⇒ T0): T0

     Definition Classes
       AnyRef

145. #### var table: Array[HashEntry[K, DefaultEntry[K, V]]]

     The actual hash table.

     The actual hash table.

     Attributes
       protected
     Definition Classes
       HashTable

146. #### var tableSize: Int

     The number of mappings contained in this hash table.

     The number of mappings contained in this hash table.

     Attributes
       protected
     Definition Classes
       HashTable

147. #### def tail: ParHashMap[K, V]

     Selects all elements except the first.

     Selects all elements except the first.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     returns

       a parallel hash map consisting of all elements of this parallel hash map

       except the first one.

     Definition Classes
       GenTraversableLike
     Exceptions thrown
       `UnsupportedOperationException`

       if the parallel hash map is empty.

148. #### def take(n: Int): ParHashMap[K, V]

     Selects first n elements.

     Selects first n elements.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     n

       Tt number of elements to take from this parallel hash map .

     returns

       a parallel hash map consisting only of the first `n` elements of this parallel hash map , or else the whole parallel hash map , if it has less than `n` elements.

     Definition Classes
       ParIterableLike → GenTraversableLike

149. #### def takeWhile(pred: ((K, V)) ⇒ Boolean): ParHashMap[K, V]

     Takes the longest prefix of elements that satisfy the predicate.

     Takes the longest prefix of elements that satisfy the predicate.

     This method will use `indexFlag` signalling capabilities. This means that splitters may set and read the `indexFlag` state. The index flag is initially set to maximum integer value.

     pred

       the predicate used to test the elements

     returns

       the longest prefix of this parallel hash map of elements that satisy the predicate `pred`

     Definition Classes
       ParIterableLike → GenTraversableLike

150. #### implicit def task2ops[R, Tp](tsk: SSCTask[R, Tp]): TaskOps[R, Tp]

     Attributes
       protected
     Definition Classes
       ParIterableLike

151. #### def threshold(sz: Int, p: Int): Int

     Some minimal number of elements after which this collection should be handled sequentially by different processors.

     Some minimal number of elements after which this collection should be handled sequentially by different processors.

     This method depends on the size of the collection and the parallelism level, which are both specified as arguments.

     sz

       the size based on which to compute the threshold

     p

       the parallelism level based on which to compute the threshold

     returns

       the maximum number of elements for performing operations sequentially

     Definition Classes
       ParIterableLike

152. #### var threshold: Int

     The next size value at which to resize (capacity * load factor).

     The next size value at which to resize (capacity * load factor).

     Attributes
       protected
     Definition Classes
       HashTable

153. #### abstract def toArray: Array[(K, V)]

     [use case] Converts this parallel hash map to an array.

     [use case]

     Converts this parallel hash map to an array.

     Note: will not terminate for infinite-sized collections.

     returns

       an array containing all elements of this parallel hash map .

     Definition Classes
       GenTraversableOnce

154. #### def toArray[U >: (K, V)](implicit arg0: ClassManifest[U]): Array[U]

     Converts this parallel hash map to an array.

     Converts this parallel hash map to an array.

     Note: will not terminate for infinite-sized collections.

     returns

       an array containing all elements of this parallel hash map .

     Definition Classes
       ParIterableLike → GenTraversableOnce

155. #### def toBuffer[U >: (K, V)]: Buffer[U]

     Converts this parallel hash map to a mutable buffer.

     Converts this parallel hash map to a mutable buffer.

     Note: will not terminate for infinite-sized collections.

     returns

       a buffer containing all elements of this parallel hash map .

     Definition Classes
       ParIterableLike → GenTraversableOnce

156. #### def toIndexedSeq[U >: (K, V)]: IndexedSeq[U]

     Converts this parallel hash map to an indexed sequence.

     Converts this parallel hash map to an indexed sequence.

     Note: will not terminate for infinite-sized collections.

     returns

       an indexed sequence containing all elements of this parallel hash map .

     Definition Classes
       ParIterableLike → GenTraversableOnce

157. #### def toIterable: ParIterable[(K, V)]

     Converts this parallel hash map to an iterable collection.

     Converts this parallel hash map to an iterable collection. Note that the choice of target `Iterable` is lazy in this default implementation as this `TraversableOnce` may be lazy and unevaluated (i.e. it may be an iterator which is only traversable once).

     Note: will not terminate for infinite-sized collections.

     returns

       an `Iterable` containing all elements of this parallel hash map .

     Definition Classes
       ParIterable → ParIterableLike → GenTraversableOnce

158. #### def toIterator: Iterator[(K, V)]

     Returns an Iterator over the elements in this parallel hash map .

     Returns an Iterator over the elements in this parallel hash map . Will return the same Iterator if this instance is already an Iterator.

     Note: will not terminate for infinite-sized collections.

     returns

       an Iterator containing all elements of this parallel hash map .

     Definition Classes
       ParIterableLike → GenTraversableOnce

159. #### def toList: List[(K, V)]

     Converts this parallel hash map to a list.

     Converts this parallel hash map to a list.

     Note: will not terminate for infinite-sized collections.

     returns

       a list containing all elements of this parallel hash map .

     Definition Classes
       ParIterableLike → GenTraversableOnce

160. #### abstract def toMap[T, U]: Map[T, U]

     [use case] Converts this parallel hash map to a map.

     [use case]

     Converts this parallel hash map to a map. This method is unavailable unless the elements are members of Tuple2, each ((T, U)) becoming a key-value pair in the map. Duplicate keys will be overwritten by later keys: if this is an unordered collection, which key is in the resulting map is undefined.

     Note: will not terminate for infinite-sized collections.

     returns

       a map containing all elements of this parallel hash map .

     Definition Classes
       GenTraversableOnce

161. #### def toMap[K, V](implicit ev: <:<[(K, V), (K, V)]): ParMap[K, V]

     Converts this parallel hash map to a map.

     Converts this parallel hash map to a map. This method is unavailable unless the elements are members of Tuple2, each ((T, U)) becoming a key-value pair in the map. Duplicate keys will be overwritten by later keys: if this is an unordered collection, which key is in the resulting map is undefined.

     Note: will not terminate for infinite-sized collections.

     returns

       a map containing all elements of this parallel hash map .

     Definition Classes
       ParIterableLike → GenTraversableOnce

162. #### def toParCollection[U >: (K, V), That](cbf: () ⇒ Combiner[U, That]): That

     Attributes
       protected
     Definition Classes
       ParIterableLike

163. #### def toParMap[K, V, That](cbf: () ⇒ Combiner[(K, V), That])(implicit ev: <:<[(K, V), (K, V)]): That

     Attributes
       protected
     Definition Classes
       ParIterableLike

164. #### def toSeq: ParSeq[(K, V)]

     Converts this parallel hash map to a sequence.

     Converts this parallel hash map to a sequence. As with `toIterable`, it's lazy in this default implementation, as this `TraversableOnce` may be lazy and unevaluated.

     Note: will not terminate for infinite-sized collections.

     returns

       a sequence containing all elements of this parallel hash map .

     Definition Classes
       ParIterable → ParIterableLike → GenTraversableOnce

165. #### def toSet[U >: (K, V)]: ParSet[U]

     Converts this parallel hash map to a set.

     Converts this parallel hash map to a set.

     Note: will not terminate for infinite-sized collections.

     returns

       a set containing all elements of this parallel hash map .

     Definition Classes
       ParIterableLike → GenTraversableOnce

166. #### def toStream: Stream[(K, V)]

     Converts this parallel hash map to a stream.

     Converts this parallel hash map to a stream.

     Note: will not terminate for infinite-sized collections.

     returns

       a stream containing all elements of this parallel hash map .

     Definition Classes
       ParIterableLike → GenTraversableOnce

167. #### def toString(): String

     Creates a String representation of this object.

     Creates a String representation of this object. The default representation is platform dependent. On the java platform it is the concatenation of the class name, "@", and the object's hashcode in hexadecimal.

     returns

       a String representation of the object.

     Definition Classes
       ParIterableLike → AnyRef → Any

168. #### def toTraversable: GenTraversable[(K, V)]

     Converts this parallel hash map to an unspecified Traversable.

     Converts this parallel hash map to an unspecified Traversable. Will return the same collection if this instance is already Traversable.

     Note: will not terminate for infinite-sized collections.

     returns

       a Traversable containing all elements of this parallel hash map .

     Definition Classes
       ParIterableLike → GenTraversableOnce

169. #### def transpose[B](implicit asTraversable: ((K, V)) ⇒ GenTraversableOnce[B]): ParIterable[ParIterable[B]]

     Transposes this parallel hash map of traversable collections into a parallel hash map of parallel hash map s.

     Transposes this parallel hash map of traversable collections into a parallel hash map of parallel hash map s.

     B

       the type of the elements of each traversable collection.

     asTraversable

       an implicit conversion which asserts that the element type of this parallel hash map is a `Traversable`.

     returns

       a two-dimensional parallel hash map of parallel hash map s which has as nth row the nth column of this parallel hash map .

     Definition Classes
       GenericTraversableTemplate
     Annotations
       @migration
     Migration

       (Changed in version 2.9.0) `transpose` throws an `IllegalArgumentException` if collections are not uniformly sized.

     Exceptions thrown
       `IllegalArgumentException`

       if all collections in this parallel hash map

       are not of the same size.

170. #### def unzip[A1, A2](implicit asPair: ((K, V)) ⇒ (A1, A2)): (ParIterable[A1], ParIterable[A2])

     Converts this parallel hash map of pairs into two collections of the first and second half of each pair.

     Converts this parallel hash map of pairs into two collections of the first and second half of each pair.

     asPair

       an implicit conversion which asserts that the element type of this parallel hash map is a pair.

     returns

       a pair parallel hash map s, containing the first, respectively second half of each element pair of this parallel hash map .

     Definition Classes
       GenericTraversableTemplate

171. #### def unzip3[A1, A2, A3](implicit asTriple: ((K, V)) ⇒ (A1, A2, A3)): (ParIterable[A1], ParIterable[A2], ParIterable[A3])

     Converts this parallel hash map of triples into three collections of the first, second, and third element of each triple.

     Converts this parallel hash map of triples into three collections of the first, second, and third element of each triple.

     asTriple

       an implicit conversion which asserts that the element type of this parallel hash map is a triple.

     returns

       a triple parallel hash map s, containing the first, second, respectively third member of each element triple of this parallel hash map .

     Definition Classes
       GenericTraversableTemplate

172. #### def update(key: K, value: V): Unit

173. #### def view: ParIterableView[(K, V), ParHashMap[K, V], HashMap[K, V]]

     Definition Classes
       ParIterableLike

174. #### final def wait(): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws()

175. #### final def wait(arg0: Long, arg1: Int): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws()

176. #### final def wait(arg0: Long): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws()

177. #### def wrap[R](body: ⇒ R): NonDivisible[R]

     Attributes
       protected
     Definition Classes
       ParIterableLike

178. #### abstract def zip[B](that: GenIterable[B]): ParHashMap[((K, V), B)]

     [use case] Returns a parallel hash map formed from this parallel hash map and another iterable collection by combining corresponding elements in pairs.

     [use case]

     Returns a parallel hash map formed from this parallel hash map and another iterable collection by combining corresponding elements in pairs. If one of the two collections is longer than the other, its remaining elements are ignored.

     B

       the type of the second half of the returned pairs

     that

       The iterable providing the second half of each result pair

     returns

       a new collection of type `That` containing pairs consisting of corresponding elements of this parallel hash map and `that`. The length of the returned collection is the minimum of the lengths of this parallel hash map and `that`.

     Definition Classes
       GenIterableLike

179. #### def zip[U >: (K, V), S, That](that: GenIterable[S])(implicit bf: CanBuildFrom[ParHashMap[K, V], (U, S), That]): That

     Returns a parallel hash map formed from this parallel hash map and another iterable collection by combining corresponding elements in pairs.

     Returns a parallel hash map formed from this parallel hash map and another iterable collection by combining corresponding elements in pairs. If one of the two collections is longer than the other, its remaining elements are ignored.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     That

       the class of the returned collection. Where possible, `That` is the same class as the current collection class `Repr`, but this depends on the element type `(A1, B)` being admissible for that class, which means that an implicit instance of type `CanBuildFrom[Repr, (A1, B), That]`. is found.

     that

       The iterable providing the second half of each result pair

     bf

       an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and the new element type `(A1, B)`.

     returns

       a new collection of type `That` containing pairs consisting of corresponding elements of this parallel hash map and `that`. The length of the returned collection is the minimum of the lengths of this parallel hash map and `that`.

     Definition Classes
       ParIterableLike → GenIterableLike

180. #### abstract def zipAll[B](that: Iterable[B], thisElem: (K, V), thatElem: B): ParHashMap[((K, V), B)]

     [use case] Returns a parallel hash map formed from this parallel hash map and another iterable collection by combining corresponding elements in pairs.

     [use case]

     Returns a parallel hash map formed from this parallel hash map and another iterable collection by combining corresponding elements in pairs. If one of the two collections is shorter than the other, placeholder elements are used to extend the shorter collection to the length of the longer.

     that

       the iterable providing the second half of each result pair

     thisElem

       the element to be used to fill up the result if this parallel hash map is shorter than `that`.

     thatElem

       the element to be used to fill up the result if `that` is shorter than this parallel hash map .

     returns

       a new collection of type `That` containing pairs consisting of corresponding elements of this parallel hash map and `that`. The length of the returned collection is the maximum of the lengths of this parallel hash map and `that`. If this parallel hash map is shorter than `that`, `thisElem` values are used to pad the result. If `that` is shorter than this parallel hash map , `thatElem` values are used to pad the result.

     Definition Classes
       GenIterableLike

181. #### def zipAll[S, U >: (K, V), That](that: GenIterable[S], thisElem: U, thatElem: S)(implicit bf: CanBuildFrom[ParHashMap[K, V], (U, S), That]): That

     Returns a parallel hash map formed from this parallel hash map and another iterable collection by combining corresponding elements in pairs.

     Returns a parallel hash map formed from this parallel hash map and another iterable collection by combining corresponding elements in pairs. If one of the two collections is shorter than the other, placeholder elements are used to extend the shorter collection to the length of the longer.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     that

       the iterable providing the second half of each result pair

     thisElem

       the element to be used to fill up the result if this parallel hash map is shorter than `that`.

     thatElem

       the element to be used to fill up the result if `that` is shorter than this parallel hash map .

     returns

       a new collection of type `That` containing pairs consisting of corresponding elements of this parallel hash map and `that`. The length of the returned collection is the maximum of the lengths of this parallel hash map and `that`. If this parallel hash map is shorter than `that`, `thisElem` values are used to pad the result. If `that` is shorter than this parallel hash map , `thatElem` values are used to pad the result.

     Definition Classes
       ParIterableLike → GenIterableLike

182. #### abstract def zipWithIndex: ParHashMap[((K, V), Int)]

     [use case] Zips this parallel hash map with its indices.

     [use case]

     Zips this parallel hash map with its indices.

     returns

       A new collection of type `That` containing pairs consisting of all elements of this parallel hash map paired with their index. Indices start at `0`.

     Definition Classes
       GenIterableLike

183. #### def zipWithIndex[U >: (K, V), That](implicit bf: CanBuildFrom[ParHashMap[K, V], (U, Int), That]): That

     Zips this parallel hash map with its indices.

     Zips this parallel hash map with its indices.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     That

       the class of the returned collection. Where possible, `That` is the same class as the current collection class `Repr`, but this depends on the element type `(A1, Int)` being admissible for that class, which means that an implicit instance of type `CanBuildFrom[Repr, (A1, Int), That]`. is found.

     returns

       A new collection of type `That` containing pairs consisting of all elements of this parallel hash map paired with their index. Indices start at `0`.

     Definition Classes
       ParIterableLike → GenIterableLike

### Deprecated Value Members

1. #### def entries: Iterator[DefaultEntry[K, V]]

   An iterator returning all entries

   An iterator returning all entries

   Attributes
     protected
   Definition Classes
     HashTable
   Annotations
     @deprecated
   Deprecated

     (Since version 2.8.0) use entriesIterator instead

### Inherited from Serializable

### Inherited from ParHashTable[K, DefaultEntry[K, V]]

### Inherited from HashTable[K, DefaultEntry[K, V]]

### Inherited from HashUtils[K]

### Inherited from ParMap[K, V]

### Inherited from ParMapLike[K, V, ParHashMap[K, V], HashMap[K, V]]

### Inherited from Cloneable[ParHashMap[K, V]]

### Inherited from ParIterable[(K, V)]

### Inherited from ParMap[K, V]

### Inherited from ParMapLike[K, V, ParHashMap[K, V], HashMap[K, V]]

### Inherited from ParIterable[(K, V)]

### Inherited from ParIterableLike[(K, V), ParHashMap[K, V], HashMap[K, V]]

### Inherited from Parallel

### Inherited from CustomParallelizable[(K, V), ParHashMap[K, V]]

### Inherited from GenericParMapTemplate[K, V, ParHashMap]

### Inherited from GenericParTemplate[(K, V), ParIterable]

### Inherited from HasNewCombiner[(K, V), ParHashMap[K, V]]

### Inherited from GenMap[K, V]

### Inherited from GenIterable[(K, V)]

### Inherited from GenTraversable[(K, V)]

### Inherited from GenericTraversableTemplate[(K, V), ParIterable]

### Inherited from HasNewBuilder[(K, V), ParIterable[(K, V)]]

### Inherited from GenMapLike[K, V, ParHashMap[K, V]]

### Inherited from Equals

### Inherited from GenIterableLike[(K, V), ParHashMap[K, V]]

### Inherited from GenTraversableLike[(K, V), ParHashMap[K, V]]

### Inherited from Parallelizable[(K, V), ParHashMap[K, V]]

### Inherited from GenTraversableOnce[(K, V)]

### Inherited from AnyRef

### Inherited from Any